ContractRabbit Docs
API Reference

Chats

List user chats

GET
/api/chats

Response Body

application/json

application/json

application/json

curl -X GET "https://loading/api/chats"
null
null
{
  "message": "string"
}

Create new chat

POST
/api/chats

Request Body

application/json

body?unknown

Response Body

application/json

application/json

application/json

curl -X POST "https://loading/api/chats"
null
null
{
  "message": "string"
}

Get chat by ID

GET
/api/chats/{chatId}

Path Parameters

chatId*string

Response Body

application/json

application/json

application/json

curl -X GET "https://loading/api/chats/string"
null
null
{
  "message": "string"
}

Update chat

PATCH
/api/chats/{chatId}

Path Parameters

chatId*string

Response Body

application/json

application/json

application/json

curl -X PATCH "https://loading/api/chats/string"
null
null
{
  "message": "string"
}

Delete chat

DELETE
/api/chats/{chatId}

Path Parameters

chatId*string

Response Body

application/json

application/json

application/json

curl -X DELETE "https://loading/api/chats/string"
null
null
{
  "message": "string"
}

Create or get chat with specific ID

PUT
/api/chats/{chatId}

Path Parameters

chatId*string

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://loading/api/chats/string"
null
null
null
{
  "message": "string"
}

Get chat name

GET
/api/chats/{chatId}/name

Path Parameters

chatId*string

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://loading/api/chats/string/name"
null
null
null
null

Get chat participants

GET
/api/chats/{chatId}/participants

Path Parameters

chatId*string

Response Body

application/json

application/json

application/json

curl -X GET "https://loading/api/chats/string/participants"
null
null
{
  "message": "string"
}

Add chat participant

POST
/api/chats/{chatId}/participants

Path Parameters

chatId*string

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://loading/api/chats/string/participants"
null
null
null
{
  "message": "string"
}

Remove chat participant

DELETE
/api/chats/{chatId}/participants/{userId}

Path Parameters

chatId*string
userId*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://loading/api/chats/string/participants/string"
null
null
null
null
{
  "message": "string"
}